Name: libcthreads
Version: 20240102
Release: 1
Summary: Library to support cross-platform C threads functions
Group: System Environment/Libraries
License: LGPL-3.0-or-later
Source: %{name}-%{version}.tar.gz
URL: https://github.com/libyal/libcthreads
 
BuildRequires: gcc 

%description -n libcthreads
Library to support cross-platform C threads functions

%package -n libcthreads-static
Summary: Library to support cross-platform C threads functions
Group: Development/Libraries
Requires: libcthreads = %{version}-%{release}

%description -n libcthreads-static
Static library version of libcthreads.

%package -n libcthreads-devel
Summary: Header files and libraries for developing applications for libcthreads
Group: Development/Libraries
Requires: libcthreads = %{version}-%{release}

%description -n libcthreads-devel
Header files and libraries for developing applications for libcthreads.

%prep
%setup -q

%build
%configure --prefix=/usr --libdir=%{_libdir} --mandir=%{_mandir}
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
%make_install

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files -n libcthreads
%license COPYING COPYING.LESSER
%doc AUTHORS README
%{_libdir}/*.so.*

%files -n libcthreads-static
%license COPYING COPYING.LESSER
%doc AUTHORS README
%{_libdir}/*.a

%files -n libcthreads-devel
%license COPYING COPYING.LESSER
%doc AUTHORS README
%{_libdir}/*.so
%{_libdir}/pkgconfig/libcthreads.pc
%{_includedir}/*
%{_mandir}/man3/*

%changelog
* Tue Jan  2 2024 Joachim Metz <joachim.metz@gmail.com> 20240102-1
- Auto-generated

